class Games {
	constructor() {
		this.gamesContainer = document.getElementById("games-container")
		this.gamesInnerContainer = document.getElementById("games")
	}

	show() {
		this.resize()
		this.gamesContainer.style.display = 'block'
	}

	hide() {
		this.gamesContainer.style.display = 'none'
	}

	resize() {
		this.gamesContainer.style.width = canvas.getBoundingClientRect().width - 40 + 'px';
		this.gamesContainer.style.height = canvas.getBoundingClientRect().height - 40 + 'px';
		this.gamesContainer.style.minHeight = canvas.getBoundingClientRect().width - 40 + 'px';

		this.gamesInnerContainer.style.height = canvas.getBoundingClientRect().height - 77 + 'px';
	}
}
